
<div *ngIf="user$ | async; then authenticated else guest"></div>
  
  <!-- User NOT logged in -->
  <ng-template #guest>
    <app-login></app-login>
  </ng-template>
  
  <!-- User logged in -->
  <ng-template #authenticated>
  <mat-sidenav-container class="example-container">
    <mat-sidenav #sidenav mode="side" opened [fixedInViewport]="true" [fixedTopGap]="0">
        <div class="main-menu">
        
            <button class="menu-item" mat-button routerLink="/diets" routerLinkActive="active" 
            [matTooltip]="'header.menu.diets' | translate" matTooltipPosition="after">
                <mat-icon class="menu-item__icon" svgIcon="diet-icon"></mat-icon>
            </button>
  
            <button class="menu-item" mat-button routerLink="/products" routerLinkActive="active"
             [matTooltip]="'header.menu.products' | translate" matTooltipPosition="after">
                <mat-icon class="menu-item__icon" svgIcon="apple-icon"></mat-icon>
            </button>
  
            <button class="menu-item" mat-button routerLinkActive="active" disabled>
                <mat-icon class="menu-item__icon" svgIcon="dumbbell-icon"></mat-icon>
            <!--     <span class="menu-item__label">{{ 'header.menu.diary_workout' | translate }}</span> -->
            </button>
  
            <button class="menu-item" mat-button routerLinkActive="active" disabled>
                <mat-icon class="menu-item__icon" svgIcon="proteins-icon"></mat-icon>
 <!--                <span class="menu-item__label">{{ 'header.menu.suplementation' | translate }}</span> -->
            </button>
  
            <button class="menu-item" mat-button routerLink="/progress" routerLinkActive="active" disabled>
                <mat-icon class="menu-item__icon" svgIcon="abs-icon"></mat-icon>
             <!--    <span class="menu-item__label">{{ 'header.menu.progress' | translate }}</span> -->
            </button>

       <!--      <button class="menu-item" mat-button routerLinkActive="active">
                <mat-icon class="menu-item__icon" svgIcon="cycle-icon"></mat-icon>
                <span class="menu-item__label menu-item__new">{{ 'header.menu.cycle' | translate }}</span>
            </button> -->
  
        </div>
  
   
        <div class="action-menu">

            <app-user-profile></app-user-profile>
            <ng-container [ngSwitch]="activePath">
                <app-diet-menu *ngSwitchCase="'diets'"></app-diet-menu>
                <app-product-menu *ngSwitchCase="'products'"></app-product-menu>
            </ng-container>
            <router-outlet name="sidebar"></router-outlet>
        </div>
    </mat-sidenav>
  
    <mat-sidenav-content>
        <router-outlet></router-outlet>
    </mat-sidenav-content>
  </mat-sidenav-container>
</ng-template>
  
